﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.UI;
[RequireComponent(typeof(CountdownTimer))]
public class FadeIn : MonoBehaviour {
	private CountdownTimer countdownTimer;
	public Text textUI;

	private int startSeconds = 5;
	private bool fading = false;

	void Start(){
		//obtener referencia del text obj y nuestro scripted timer obj
		countdownTimer = GetComponent<CountdownTimer> ();
		StartFading (startSeconds);
	}

	void Update(){
		//revisar bandera
		if(fading){
			//obtener el tiempo que sobra como float entre 1 y 0
			float alphaRemaining = countdownTimer.GetProportionTimeRemaning();
			Color c = textUI.material.color;

			//establecer alpha a nuestro porcentage de tiempo que queda
			//1 color completo y 0 transparente
			c.a = alphaRemaining;
			textUI.material.color = c;

			//detener el fading
			if (alphaRemaining < 0.01) fading = false;
		}
	}

	private void StartFading(int timerTotal){
		countdownTimer.ResetTimer (timerTotal);
		//poner bandera en TRUE para que nuestra logica del fading entre
		fading = true;
	}
}
