﻿using System.Collections;
using UnityEngine.UI;
using System.Collections.Generic;
using UnityEngine;

public class GrabItem : MonoBehaviour 
{
	// El component Text
	public Text textBox;
	public bool writing;

	//Checamos colisiones
	void OnCollisionEnter2D (Collision2D other)
	{
		//Checamos si con lo que colisionamos es un item
		if (other.gameObject.tag == "Item" && !writing) 
		{
			writing = true;
			// Tomames el componente/Script TextToRead
			TextToRead temp = other.gameObject.GetComponent<TextToRead> ();

			//Mandamos el string Remember Text a nuestra funcion
			StartCoroutine (AnimateText(temp.rememberText));

			Destroy (other.gameObject);
		}
	}
		
	IEnumerator AnimateText(string strComplete)
	{
		//Definimos el limite del loop While, lo ponemos en 0
		int i = 0;
		//Nuestro string lo resetamos, este es el que va a cambiar el texto
		string str = "";
		//Un loop que va sumando de 1 a uno la letra del texto completo
		while (i < strComplete.Length) 
		{	
			//La variable str va agnadiendo una letra a la vez
			str += strComplete [i++];
			//Modificamos el texto de la interfaz de usuario y lo asignamos a la variables str
			textBox.text = str;
			//Esperamos para dar el efecto
			yield return new WaitForSeconds (0.1F);
		}

		//Esperamos un momento mas para resetear la UI
		yield return new WaitForSecondsRealtime (1);
		textBox.text = "";


		writing = false;
	}
}
