﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class Move_PLY : MonoBehaviour 
{
	public bool controlDisabled;
	public float speed;
	public float timer;
	public GameObject lightWave;

	float auxSpeed;
	bool facingRight = true;
	[HideInInspector] public Rigidbody2D rgb;
	[HideInInspector] public Animator anm;

	void Start ()
	{
		rgb = GetComponent<Rigidbody2D> ();
		anm = GetComponent<Animator> ();
	}

	void FixedUpdate ()
	{
		if (controlDisabled)
			return;

		float moveH = Input.GetAxis ("Horizontal");
		float moveV = Input.GetAxis ("Vertical");

		anm.SetFloat ("Side", Mathf.Abs(moveH));
		anm.SetFloat ("UpDown", moveV);

		rgb.velocity = new Vector2 (moveH, moveV).normalized * (speed - auxSpeed);

		if (facingRight && moveH < 0)
			Flip ();
		else if (!facingRight && moveH > 0)
			Flip ();
	}

	void Flip ()
	{
		facingRight = !facingRight;
		Vector3 temp = transform.localScale;
		temp.x *= -1;
		transform.localScale = temp;
	}

	void OnTriggerEnter2D (Collider2D other)
	{
		if (other.tag == "Trap") {
			auxSpeed = 2;
		}
	}

	void OnTriggerExit2D (Collider2D other)
	{
		if (other.tag == "Trap")
			auxSpeed = 0;
	}
}
